# gregdel's keyboard (gdk)

Firmware: https://config.qmk.fm/#/xd75/LAYOUT_ortho_5x15

# Flashing the firmware

Install the qmk command line tool and all the dependecies. Create a new keymap for your keyboard.

```sh
qmk new-keymap
```

Generate the json configuration using the online tool.

## Automatic installation

```sh
./build-and-flash
```

## Manual installation

Download the generated json and convert it to a keymap.c

```sh
cd ~/your/qmk/repo
qmk json2c -o keyboards/xd75/keymaps/gdk/keymap.c ~/downloads/gdk.json
```

Compile and flash the firmware.

To be able to flash the firmware you must enter the keyboard in the "DFU" state. Don't forget to add a "Reset" binding on your keyboard to be able to flash it easily.

```sh
sudo qmk flash --keyboard xd75 --keymap gdk
```

# Current layout

![](https://git.quimbo.fr/gregdel/gdk/wiki/raw/layout.png)
